<template>
  <div class="grow-1 w-full mt-5">
    <div class="hidden md:flex justify-end mb-4">
      <div @click="toggleFilter" class="text-[14px] cursor-pointer flex">
        {{ isFilterShow ? 'Hide' : 'Show' }} Filter
        <font-awesome-icon icon="sliders" class="w-[16px] ml-2 text-black" />
      </div>
    </div>
    <div class="grid grid-cols-2 md:grid-cols-3 gap-4">
      <div v-for="(product, idx) in products" :key="idx">
        <nuxt-link :to="`/products/${product.id}`">
          <div class="h-[250px] border border-gray-200 mb-4 flex justify-center items-center">
            <img :src="product.image" class="h-[150px]" alt="image" />
          </div>
          <div class="text-[14px] mb-1">{{ product.title }}</div>
          <div class="text-[14px] text-gray-500 mb-1">{{ product.category }}</div>
          <div class="text-[14px] font-bold mb-1">{{ product.price | currency('USD') }}</div>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex';
import EventBus from '~/helpers/eventBus';

export default {
  name: "ProductList",
  data() {
    return {
      isFilterShow: true
    }
  },
  computed: {
    ...mapState(['products', 'isLoading', 'isError']),
  },
  methods: {
    toggleFilter() {
      this.isFilterShow = !this.isFilterShow
      EventBus.$emit('toggle-filter');
    },
  }
}
</script>
